<?php
/**
 * DiscountBrandsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\MarketingClient;

use \Ensi\MarketingClient\Configuration;
use \Ensi\MarketingClient\ApiException;
use \Ensi\MarketingClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * DiscountBrandsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DiscountBrandsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createDiscountBrand
     *
     * Создание объекта типа DiscountBrand.
     *
     */
    public function testCreateDiscountBrand()
    {
    }

    /**
     * Test case for deleteDiscountBrand
     *
     * Удаление объекта типа DiscountBrand.
     *
     */
    public function testDeleteDiscountBrand()
    {
    }

    /**
     * Test case for getDiscountBrand
     *
     * Получение объекта типа DiscountBrand.
     *
     */
    public function testGetDiscountBrand()
    {
    }

    /**
     * Test case for patchDiscountBrand
     *
     * Обновления части полей объекта типа DiscountBrand.
     *
     */
    public function testPatchDiscountBrand()
    {
    }

    /**
     * Test case for searchDiscountBrands
     *
     * Поиск объектов типа DiscountBrand.
     *
     */
    public function testSearchDiscountBrands()
    {
    }
}
